Subject: Re: bug#50999: 29.0.50; Deleting libraries obsolete since Emacs 24

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Oct 2021 15:27:50 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Tue, 05 Oct 2021 09:02:35 +0200
> Cc: [email-masked]
> 
> > I think we should just decide what we want to do in Emacs 29, and then
> > apply the same principle for deleting obsolete functions, variables,
> > etc.
> 
> Yup.  I think everything obsoleted before Emacs 24.3 should be up for
> removal in Emacs 29 (since that'd be about a decade old when Emacs 29 is
> released), but perhaps Eli has a different opinion.  Eli?

I'd prefer to see the full list of the candidates before we decide.
It could be that some items on the list need to get special treatment
for some valid reasons, or perhaps because we've learned something new
since they were obsoleted.

Thanks.